com.h3c.sdn.api

## Interface TeamConfigTransferService

-     public interface TeamConfigTransferService

  Service to transport team configuration actions between team members.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseData` | `createTeam(TeamConfig<SystemConfigReq> team, IpAddress member)` Propagates a team creation action to the given member.
    `ResponseData` | `destroyTeam(IpAddress member)` Propagate a team deletion to the given member.
    `TeamConfig<SystemConfigReq>` | `getConfiguration(IpAddress member)` Gets the cached team configuration from a particular member.
    `TeamConfig<SystemConfigRsp>` | `getStatus(IpAddress member)` Gets the team configuration from a particular member.
    `BuildVersion` | `getVersion(IpAddress member)` Gets the system version from a particular member.

- - ### Method Detail

    - #### createTeam

          ResponseData createTeam(TeamConfig<SystemConfigReq> team,
                                IpAddress member)
                                  throws DuplicateDataException,
                                         CreateException,
                                         IllegalArgumentException

      Propagates a team creation action to the given member.
      Parameters:
        `team` - configuration of the team to create.
        `member` - member to propagate the action to.
      Returns:
      Throws:
        `DuplicateDataException` - if a team exists with the same configuration
        `CreateException` - if errors occur while crating the team.
        `IllegalArgumentException` - if the team configuration is invalid

    - #### destroyTeam

          ResponseData destroyTeam(IpAddress member)
                                   throws NotFoundException

      Propagate a team deletion to the given member.
      Parameters:
        `member` - member to propagate the action to.
      Returns:
      Throws:
        `NotFoundException` - if the team does not exist

    - #### getStatus

          TeamConfig<SystemConfigRsp> getStatus(IpAddress member)

      Gets the team configuration from a particular member.
      Parameters:
        `member` - member to get the team configuration from.
      Returns:
        team configuration from the given member.

    - #### getConfiguration

          TeamConfig<SystemConfigReq> getConfiguration(IpAddress member)

      Gets the cached team configuration from a particular member.
      Parameters:
        `member` - member to get the team configuration from.
      Returns:
        cached team configuration from the given member.

    - #### getVersion

          BuildVersion getVersion(IpAddress member)

      Gets the system version from a particular member.
      Parameters:
        `member` - member to get the system version from.
      Returns:
        the system version from the given member.

Copyright © 2014. All Rights Reserved.